/*
  AntiRight
  (c) 2002-2004 Jeffrey Bedard
  jefbed@e-list.net
 
  This file is part of AntiRight.

  AntiRight is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  AntiRight is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* This is more ambiguous because it is common among all Xt programs.  */
XtAppContext app_context;

/* This is the standard parent shell for AntiRight.  It is initialized by antiright_initialize_application.  */
Widget antiright_parent_widget;

/* This sets the title and icon name of antiright_parent_widget (the
   shell of all AntiRight applications).  */
void
antiright_set_title(const char* name); /* This is the title text.  */

/* This sets the icon of antiright_parent_widget.  */
void
antiright_set_icon(unsigned char bits[]);

/* This sets up the application and handles the command line.  */
void
antiright_initialize_application(int* argc, 
				 char **argv,
				 const char *name, /* The
						      application's
						      title.  */
				 unsigned char bits[]); /* The
							   application's
							   icon data.  */
void
antiright_standard_usage(char *name_string);

void
antiright_report_bugs_message();

